function G15BarID_Command(cmd) G15BarConfigIDFrame:Show(); end

function G15BarConfigID_OnLoad()
    this:RegisterEvent("VARIABLES_LOADED");
    SLASH_G15BARID1 = "/g15barid";
	SlashCmdList["G15BARID"] = G15BarID_Command;
end

function G15BarConfigID_OnEvent()
 	if (not G15Bar2Config["IDs"]) then 
		G15Bar2Config["IDs"] = {};
		for i=1,3 do
			G15Bar2Config["IDs"][i] = {};
			for j=1,18 do
				local button = getglobal("M"..i.."BarButton"..j);
				G15Bar2Config["IDs"][i][j] = button:GetID();
			end
		end
	else
		G15BarConfigID_SetIDs();
	end 
end

function G15BarConfigID_SetIDs()
	for i=1,3 do
		for j=1,18 do
			local button = getglobal("M"..i.."BarButton"..j);		
			button:SetID(G15Bar2Config["IDs"][i][j]);
			local icon = getglobal(button:GetName().."Icon");
			local texture = GetActionTexture(G15BarButton_GetPagedID(button));
			icon:SetTexture(texture);
		end
	end
	
	M1Bar:Hide();
	M2Bar:Hide();
	M3Bar:Hide();
	M1Bar:Show();
	M2Bar:Show();
	M3Bar:Show();
	G15BarConfig_NumBars(G15Bar2Config["NumBars"]);
end